package routers

import (
	"spaceofcheng/services/controllers/customer"
	"spaceofcheng/services/controllers/goods"

	"github.com/astaxie/beego"
)

func getWechatRoutes() beego.LinkNamespace {
	prefix := beego.AppConfig.String("api::wechat")

	return beego.NSNamespace(prefix,
		// 会员
		beego.NSRouter("/customer", &customer.CustomerController{}, "get:GetCustWXByID"),

		// 下单
		beego.NSRouter("/order", &goods.GoodsController{}, "post:PostOrder"),
	)
}
